using System;

namespace System.Reactive.Linq.ObservableImpl
{
	internal sealed class FirstBlocking<T> : BaseBlocking<T>
	{
		public override void OnNext(T value)
		{
			if (!this._hasValue)
			{
				this._value = value;
				this._hasValue = true;
				base.Set();
			}
		}
	}
}
